EDIT - task #7369

Handle taxonomically valueless taxa correctly
04/25/2018 01:05 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 0:30 hour
Target version: Euro+Med Migration

Severity: normal

Description

Currently 268 taxa in E+M have an IsExcludedMarker with IsExcludedExtension "not accepted: taxonomically valueless local or
singular biotype" or "provisional: probably a taxonomically valueless local or singular biotype"

In the BM dataportal this is shown as the taxon status (e.g.
http://ww?2.bgbm.org/EuroPlusMed/PTaxonDetail.asp?NameCache=Rubus%20trachyadenes&PTRefFk=7300000 ).

These taxa do not have parent taxa.
We need to decide how to store this information.
Solutions:

1) Adding 2 marker types and the information as markers

2) Using extensions or annotations with the given full text

3) extend the doubtful flag to an enumeration to allow multiple states like "doubtful”,"taxonomically valueless","probably taxonomically
valueless", ...

Also we need to decide if these taxa should be included in the taxon tree somehow.
Currently only those taxa having synonyms or misapplied names are attached to the tree (as root taxa) - need to check why.
taxa in BM

SELECT n.FullNameCache, pt.*

FROM PTaxon AS pt INNER JOIN Name n ON n.NameId = pt.PTNameFk

WHERE (pt.IsExcludedExtension IS NOT NULL) OR (pt.IsExcludedMarker = 1)
ORDER BY pt.IsExcludedExtension

Note: These taxa may have synonyms and 1x even a misapplied name

SELECT acc.FullNameCache, syn.FullNameCache syn, rel.RelPTaxonId, rel.RelQualifierFk, pt.
PTNameFk, pt.PTRefFk, pt.Detail, pt.RIdentifier, pt.IdInSource, pt.StatusFk, pt.DoubtfulFlag, pt.
NamePhrase, pt.UseNameCacheFlag, pt.Created_When, pt.Updated_When,

pt.Created_Who, pt.Updated_Who, pt.Notes, pt.PublishFlag, pt.Treelndex,
pt.IndexNameString, pt.InMCLArea, pt.FamilyCache, pt.LastScrutinyFk, pt.SpeciesExpertFk, pt.
IsExcludedMarker, pt.IsExcludedExtension,

pt.UUID
FROM PTaxon AS pt INNER JOIN

RelPTaxon AS rel ON rel.PTNameFk2 = pt.PTNameFk AND rel.PTRefFk2 = pt.
PTRefFk

INNER JOIN Name syn ON syn.NameID = rel.PTNameFkl

INNER JOIN Name acc ON acc.NameId = rel.PTNameFk2
WHERE (pt.IsExcludedExtension IS NOT NULL) OR (pt.IsExcludedMarker = 1)
ORDER BY pt.IsExcludedExtension, acc.FullNameCache

In the publication script they are all set to publish = 1

Also have in mind that they need to be exported to PESI.

Related issues:
Precedes EDIT - feature request #8285: Handle taxonomically valueless taxa in... New
http://ww2.bgbm.org/EuroPlusMed/PTaxonDetail.asp?NameCache=Rubus%20trachyadenes&PTRefFk=7300000

Associated revisions

Revision 961bb5d1 - 04/25/2018 01:59 PM - Andreas Miiller

ref #7369 implement taxonomically valueless taxa with markers

Revision 5f492efb - 04/26/2018 02:42 PM - Andreas Miiller

ref #7369 add uuids for taxonomic valueless marker to BM transformer

Revision 9d9a4a86 - 04/26/2018 02:43 PM - Andreas Miiller

ref #7369 remove unwanted commits

History

#1 - 04/25/2018 01:12 PM - Andreas Miiller

- Description updated

#2 - 04/25/2018 01:24 PM - Andreas Miiller

- Description updated

#3 - 04/25/2018 01:28 PM - Andreas Miiller

- Description updated

#4 - 04/25/2018 02:15 PM - Andreas Miller

first implementation with markers now available

#5 - 04/25/2018 02:15 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

- % Done changed from 0 to 40

#6 - 05/09/2018 03:20 PM - Andreas Miuller
- Estimated time set to 2:00 h

#7 - 05/29/2018 06:46 PM - Andreas Miuller

- Description updated

#8 - 05/29/2018 06:56 PM - Andreas Miuller

- Description updated

#9 - 05/29/2018 07:01 PM - Andreas Miuller

- Description updated

#11 - 05/29/2018 07:03 PM - Andreas Miiller

- Description updated

#12 - 09/20/2018 03:52 PM - Andreas Miiller

- Target version changed from Euro+Med Portal Release to Euro+Med Migration

#13 - 09/29/2018 12:56 AM - Andreas Miuiller

- Description updated

#14 - 09/29/2018 12:57 AM - Andreas Miiller
- Subject changed from [E+M] Handle taxonomically valueless taxa correctly to ERS: Handle taxonomically valueless taxa correctly

- Priority changed from Highest to Priority13

#15 - 09/29/2018 01:26 AM - Andreas Miiller
ERS (2015-08-15):
zum Thema Rubus l&asst sich sagen:

die 19 Taxa, die im Baum direkt unter Plantae included sind (so sieht es jedenfalls aus), geh&ren zu einer Gruppe von insgesamt 232 Rubus-Taxa.
Die anderen scheinen als orphaned importiert worden zu sein, warum diese 19 nicht orphaned sind, verstehe ich nicht. Ich sehe keinen Unterschied
zu den anderen Rubus dieser Gruppe.

Hintergrund: diese Taxa sollen zwar Gber die Suche gefunden werden, aber nicht Bestandteil des Taxon Tree sein, also tUber das Browsen nicht zu
finden sein. So ist es im Berlin-Model implementiert: Diese Arten haben keine Eltern, sondern héngen "in der Luft", sind aber akzeptiert. Wenn man
also im Portal danach sucht, erhélt man den Namen und die Verbreitung angezeigt, zusammen mit der Nachricht NOT ACCEPTED:
TAXONOMICALLY VALUELESS LOCAL OR SINGULAR BIOTYPE

etwa Rubus abietinus Sudre http://ww2.bgbm.org/EuroPlusMed/PTaxonDetail.asp?NameCache=Rubus%20abietinus& PTRefFk=7300000

Wenn ich es richtig verstehe, werden ja orphaned taxa im CDM eigentlich nicht unterstitzt, oder? Jedenfalls kann man sie mit dem EDITor zwar
finden, aber nicht editieren (da erh&lt man eine Fehlermeldung). Insofern ist die jetzt fur die 19 Taxa implementierte Losung, sie allesamt direkt unter
Plantae zu hangen, gar nicht so schlecht, denn sie sollen eben nicht neben den anderen Rubus-Taxa stehen. Jedenfalls wisste ich nicht, was man
sonst mit ihnen machen soll. Eventuell kann man sie innerhalb der Plantae unter eine Zwischenstufe hdngen wie "Rubus biotypes" oder so ahnlich.

#16 - 05/19/2019 09:43 PM - Andreas Miiller

- Precedes feature request #8285: Handle taxonomically valueless taxa in data portal added

#17 - 05/19/2019 09:43 PM - Andreas Miiller

- Tags changed from euro+med to euro+med, pesi

- Subject changed from ERS: Handle taxonomically valueless taxa correctly to Handle taxonomically valueless taxa correctly
- Status changed from In Progress to Resolved

- % Done changed from 40 to 90

- Estimated time changed from 2:00 h to 0:30 h

The taxa are now all exported to a common root taxon "Valueless". They can be moved somewhere else after import if necessary.

We still need to implement how they should show up in the data portal.

#18 - 09/17/2021 03:34 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

An example for a "valueless" taxon in CDM is https://www.europlusmed.org/cdm_dataportal/taxon/6a572ecd-f989-44a2-96ce-54d8141b3c0d.

Final work needs to be done in dataportal, handled by #8285
